# Documents

The documentation of LightGBM is generated with Sphinx and recommonmark, and hosted on Read the Docs.

For detail, see:

* [Read the Docs](https://readthedocs.org/)
  * [Welcome to Read The Docs](http://docs.readthedocs.io/)
* [Sphinx](http://www.sphinx-doc.org/)
* [recommonmark](https://recommonmark.readthedocs.io/)

## Build

You can build the documentation locally. Just run:

```sh
pip install -r requirements.txt
make html
```

## Links

* [Installation Guide](https://github.com/Microsoft/LightGBM/wiki/Installation-Guide)
* [Quick Start](./Quick-Start.md)
* [Python Quick Start](./Python-intro.md)
* [Features](https://github.com/Microsoft/LightGBM/wiki/Features)
* [Experiments](https://github.com/Microsoft/LightGBM/wiki/Experiments)
* [Parameters](./Parameters.md)
* [Parameters Tuning](./Parameters-tuning.md)
* [Python API Reference](./Python-API.md)
* [Parallel Learning Guide](https://github.com/Microsoft/LightGBM/wiki/Parallel-Learning-Guide)
* [GPU Tutorial](./GPU-Tutorial.md)
* [FAQ](./FAQ.md)
* [Development Guide](./development.md)
